### Virtual Method

# Pango.FontMap.load_font

#### Declaration [src]

    PangoFont*
    load_font (
      PangoFontMap* fontmap,
      PangoContext* context,
      const PangoFontDescription* desc
    )

#### Description [src]

Load the font in the fontmap that is the closest match for `desc`.

#### Parameters

`context` | `PangoContext`
| the `PangoContext` the font will be used with
| Ownership is not transferred to the callee
`desc` | `PangoFontDescription`
| a `PangoFontDescription` describing the font to load
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoFont`
the newly allocated `PangoFont` loaded, or `NULL` if no font matched.
Ownership of the data is transferred to the caller
Can be `NULL`